import { HcApi } from '../../../request/index'
//  材料计量单
export default {
    //分页
    async getPage(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/materialMeterForm/meterPage',
            method: 'get',
            params: form,
        }, msg)
    },
    //详情
    async detail(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/materialMeterForm/detail',
            method: 'get',
            params: form,
        }, msg)
    },
    //新增
    async add(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/materialMeterForm/add',
            method: 'post',
            data: form,
        }, msg)
    },
    //修改
    async update(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/materialMeterForm/update',
            method: 'post',
            data: form,
        }, msg)
    },
    //删除
    async remove(form, msg = true) {
    return HcApi({
        url: '/api//blade-meter/materialMeterForm/remove',
        method: 'post',
        params: form,
    }, msg)
},
}